Bug 1996834 (CVE-2021-37750) - CVE-2021-37750 krb5: NULL pointer dereference in process_tgs_req() in kdc/do_tgs_req.c via a FAST inner body that lacks server field
Summary: CVE-2021-37750 krb5: NULL pointer dereference in process_tgs_req() in kdc/do_...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-37750
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1997602 1996835 1997599 1997600 1997601
Blocks: 1996836
TreeView+ depends on / blocked
 
Reported: 2021-08-23 18:59 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-11-23 17:16 UTC (History)
47 users (show)

Fixed In Version: krb5 1.18.5, krb5 1.19.3
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in krb5. The Key Distribution Center (KDC) in MIT Kerberos 5 has a NULL pointer dereference via a FAST inner body that lacks a server field. An authenticated attacker could use this flaw to crash the Kerberos KDC server. The highest threat from this vulnerability is to system availability.
Clone Of:
Environment:
Last Closed: 2021-09-21 12:28:07 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:3576 0 None None None 2021-09-21 08:39:17 UTC
Red Hat Product Errata RHSA-2021:4788 0 None None None 2021-11-23 17:16:05 UTC

Description Guilherme de Almeida Suckevicz 2021-08-23 18:59:25 UTC
The Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) before 1.18.5 and 1.19.x before 1.19.3 has a NULL pointer dereference in kdc/do_tgs_req.c via a FAST inner body that lacks a server field.

The attacker needs to be successfully authenticated in order to carry on the attack.

Reference and upstream patch:
https://github.com/krb5/krb5/commit/d775c95af7606a51bf79547a94fa52ddd1cb7f49

Comment 1 Guilherme de Almeida Suckevicz 2021-08-23 18:59:48 UTC
Created krb5 tracking bugs for this issue:

Affects: fedora-all [bug 1996835]

Comment 4 errata-xmlrpc 2021-09-21 08:39:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:3576 https://access.redhat.com/errata/RHSA-2021:3576

Comment 5 Product Security DevOps Team 2021-09-21 12:28:07 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-37750

Comment 6 errata-xmlrpc 2021-11-23 17:16:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2021:4788 https://access.redhat.com/errata/RHSA-2021:4788


Note You need to log in before you can comment on or make changes to this bug.